Bug 115797 - Help about Fill series of type Date is irrelevant if not wrong
Summary: Help about Fill series of type Date is irrelevant if not wrong
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: All All
: medium normal
Assignee: Laurent BP
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2018-02-17 09:17 UTC by Laurent BP
Modified: 2018-02-20 12:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2018-02-17 09:17:14 UTC
Description: Help give incomplete or wrong information.

Steps to reproduce:
1. In Calc, select several cells
2. Sheet > Fill Cells > Series
3. Select Series Type = Date
4. Hit Help button
https://help.libreoffice.org/Calc/Fill_Series#Unit_of_Time
https://helponline.libreoffice.org/latest/en-US/text/scalc/01/02140600.html?&DbPAR=WRITER&System=WIN

Unit of Time: Day
Effect: series will use a unit of 1 day, counting all 7 days of weeks
Actual Text: "Use the Date series type and this option to create a series using seven days."
https://opengrok.libreoffice.org/xref/help/source/text/scalc/01/02140600.xhp#79
This text may suggest that increment will be of 7 days which is wrong.
Proposed Text: "Use the Date series type and this option to create a series using all seven days of the week. Unit of increment is day."

Unit of Time: Weekday
Effect: series will use a unit of 1 day, counting only 5 days of weeks, without Saturday not Sunday (with my UI fr-FR).
Actual Text: "Use the Date series type and this option to create a series of five day sets."
https://opengrok.libreoffice.org/xref/help/source/text/scalc/01/02140600.xhp#82
This text may suggest that increment will be of 5 days which is wrong.
Proposed Text: "Use the Date series type and this option to create a series only using the five weekdays. Unit of increment is day."

Unit of Time: Month
Effect: series will use a unit of 1 month.
Actual Text: "Use the Date series type and this option to form a series from the names or abbreviations of the months."
https://opengrok.libreoffice.org/xref/help/source/text/scalc/01/02140600.xhp#85
This text may suggest that series will use special format with abbreviated name of month, which is wrong.
Proposed Text: "Use the Date series type and this option to create a series which unit of increment is month."

Unit of Time: Year
Effect: series will use a unit of 1 year.
Actual Text: "Use the Date series type and this option to create a series of years."
https://opengrok.libreoffice.org/xref/help/source/text/scalc/01/02140600.xhp#88
This text may suggest that dates will be formated as year only.
Proposed Text: "Use the Date series type and this option to create a series which unit of increment is year."

Note: User Guides should be also updated:
- https://wiki.documentfoundation.org/images/2/2b/GS5205-GettingStartedWithCalc.odt page 31
- https://wiki.documentfoundation.org/images/7/7d/CG4102-EnterEditFormatData.odt page 12
Comment 1 Jacques Guilleron 2018-02-17 17:13:18 UTC
Hi Laurent,

I agree. This way of writing is clearer and avoids misinterpretations.
Comment 2 Commit Notification 2018-02-19 21:11:07 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=80dbcc34b58f196dc414415e26e750ef4cbcf511

tdf#115797 Help Calc: Fill series Date